import type { Facet } from '@codemirror/state';
import { NodeSet, NodeType } from '@lezer/common';
import { Tag } from '@lezer/highlight';
import { CypherTokenType } from '@neo4j-cypher/language-support';
export declare const cypherTokenTypeToNode: (facet: Facet<unknown>) => {
    topNode: NodeType;
    comment: NodeType;
    keyword: NodeType;
    label: NodeType;
    predicateFunction: NodeType;
    function: NodeType;
    procedure: NodeType;
    variable: NodeType;
    paramDollar: NodeType;
    paramValue: NodeType;
    symbolicName: NodeType;
    operator: NodeType;
    stringLiteral: NodeType;
    numberLiteral: NodeType;
    booleanLiteral: NodeType;
    keywordLiteral: NodeType;
    property: NodeType;
    namespace: NodeType;
    bracket: NodeType;
    none: NodeType;
    separator: NodeType;
    punctuation: NodeType;
    consoleCommand: NodeType;
    'class-name': NodeType;
    identifier: NodeType;
    string: NodeType;
    relationship: NodeType;
    boolean: NodeType;
    number: NodeType;
};
export type PrismSpecificTokenType = 'class-name' | 'identifier' | 'string' | 'relationship' | 'boolean' | 'number';
export type CodemirrorParseTokenType = CypherTokenType | PrismSpecificTokenType | 'topNode';
export type HighlightedCypherTokenTypes = Exclude<CypherTokenType, 'none'>;
export declare const tokenTypeToStyleTag: Record<HighlightedCypherTokenTypes, Tag>;
export declare const parserAdapterNodeSet: (nodes: Record<string, NodeType>) => NodeSet;
